package demo.d3;

/**
 * Lasketaan yhteen taulukon alkioita
 * @author vesal
 * @version 17.1.2014 
 */
public class TaulukonSummia {

	/**
	 * Kokeillaan summa-funktiota
	 * @param args ei käytössä
	 */
	public static void main(String[] args) {
		int[] t = {32, 32, 76, 62, 31, 86};
		int s = summaVastaavienErotuksista6(t);
		System.out.println("Lukujen summa = " + s);
		
		s = summaPerattaistenErotuksista6(t);
		System.out.println("Lukujen summa = " + s);
	}

	
	/**
     * Lasketaan taulukon parillisissa paikoissa olevien lukujen summa 
     * miinus parittomissa paikoissa olevien summa
	 * @param t taulukko jonka luvut lasketaan (vain 6 paikkainen)
	 * @return erotusten summa
	 * @example
	 * <pre name="test">
	 *   int[] t = {1,2,3,4,5,6};
	 *   summaPerattaistenErotuksista6(t) === -3;
	 *   summaPerattaistenErotuksista6(new int[]{1,1,1,1,1,1}) === 0;
     *   summaPerattaistenErotuksista6(new int[]{5,4,6,2,9,1}) === 13;
	 * </pre>
	 */
    @SuppressWarnings("unused")
	public static int summaPerattaistenErotuksista6(int[] t) {
        // TODO: kopioi tähän Taunon tekemä koodi ilman int[] t = -riviä
        // TODO: korvaa vielä rivin return 0 niin että siinä on sinun apumuuttujasi nimi
	    return 0;
	}


	/**
	 * Lasketaan taulukon summa (1. - viimeinen) + (2. - toiseksi viimeinen) jne...
	 * @param t taulukko jonka luvut lasketaan (vain 6 paikkainen)
     * @return erotusten summa
	 * @example
	 * <pre name="test">
	 *   int[] t = {1,2,3,4,5,6};
	 *   summaVastaavienErotuksista6(t) === -9;
	 *   summaVastaavienErotuksista6(new int[]{1,1,1,1,1,1}) === 0;
     *   summaVastaavienErotuksista6(new int[]{5,4,6,2,9,1}) === 3;
	 * </pre>
	 */
    @SuppressWarnings("unused")
	public static int summaVastaavienErotuksista6(int[] t) {
        // TODO: kopioi tähän Taunon tekemä koodi ilman int[] t = -riviä
        // TODO: korvaa vielä rivin return 0 niin että siinä on sinun apumuuttujasi nimi
		return 0;
	}

}
