package demo.d3;
import java.io.*;

/**
 * Luetaan tiedosto ja tulostetaan se näytölle.
 * @author Vesa Lappalainen
 * @version 1.0, 25.01.2002
 */
public class TiedostonLukeminen {

    /**
     * Esimerkkiohjelma tiedoston lukemisesta perinteisellä tavalla
     * @param args ei käytössä
     * @throws IOException jos ongelmia tiedoston kanssa
     */  
    public static void main(String[] args) throws IOException {

        try ( BufferedReader f = new BufferedReader(new FileReader("users.html")) ) {
            String rivi;
            while ( ( rivi = f.readLine() ) != null ) {
                System.out.println(rivi);
            }
        } catch (FileNotFoundException ex) {
            System.out.println("Tiedosto ei aukea!"); return;
        } catch (IOException ex) {
            System.out.println("Vikaa tiedostoa lukiessa!"); return;
        }
    }
}
