package lumiukkoCmd;

import java.awt.Color;

import fi.jyu.mit.graphics.Circle;
import fi.jyu.mit.graphics.EasyWindow;

/**
 * Piirretään lumiukkoja
 * @author vesal
 * @version 14.9.2008
 */
public class Lumiukot {

    /**
     * Piirtää yhden lumiukon paikkaan x,y
     * @param window ikkuna johon piirettään
     * @param x x-koordinaatti
     * @param y y-koordinaat
     */
    public static void lumiukko(EasyWindow window, double x, double y) {
        Circle ymp = new Circle(x,y-2*15-20-10,10);
        ymp.setColor(Color.red);
        window.add(ymp);
        window.addCircle(x,y-15-20,15);
        window.addCircle(x,y,20);
    }
    
    
    /**
     * Piirretään pari lumiukkoa
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        EasyWindow window = new EasyWindow(); 
        lumiukko(window,20,80);
        lumiukko(window,70,90);
    }

}