package tiedostot;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;

/**
 * Tulostetaan kertotaulu
 * @author vesal
 * @version 3.3.2020
 *
 */
public class Kertotaulu {

    /**
     * @param args tiedoston nimi johon tuostetaan
     */
    public static void main(String[] args) {
        int kerroin = 5;
        String tiedNimi = "taulu.txt";
        if (args.length > 0 ) tiedNimi = args[0];
        try (PrintStream fo = new PrintStream(new FileOutputStream(tiedNimi, true))) {
            for (int i = 0; i <= 10; i++)
                fo.printf("%2d * %d = %3d\n", i, kerroin, i * kerroin);
        } catch (FileNotFoundException ex) {
            System.err.println("Tiedosto ei aukea: " + ex.getMessage());
        }
    }

}
