package muuttujat.matkaFX;
	
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.fxml.FXMLLoader;

/**
 * Pääohjelma mittakaavalle
 * @author vesal
 * @version 26.1.2016
 *
 */
public class MatkaMain extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("MatkaView.fxml"));
			Scene scene = new Scene(root);
			// scene.getStylesheets().add(getClass().getResource("matka.css").toExternalForm());
			primaryStage.setScene(scene);
            primaryStage.setTitle("Matka");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * Käynistetään mittakaavohjelma
	 * @param args ei käytössä
	 */
	public static void main(String[] args) {
		launch(args);
	}
}
