/**
 * @file aikalisa.cpp
 * esimerkki olioista
 *
 * @author Vesa Lappalainen
 * @version 27.4.2003
 */

#include <iostream>
#include <iomanip>
using namespace std;

class Aika { // CAika,  TAika  Aika
    int h = 0;
    int m = 0;

public:
    Aika() {
    }

    Aika(int h, int im) : h{h}, m{im} {
//        this->h = h;
//        m = im;
    }


    void lisaa(int lisa_min) // kuvittele void lisaa(Aika *this, int lisa_min)
    {
        int yht_min = (*this).h*60 + (*this).m + lisa_min;
        // ph++; // käy huonosti
        (*this).h = yht_min / 60;
        this->m = yht_min % 60;   // ->    (* ??).
    }


    void tulosta(ostream &os) const  // const Aika &aika // const Aika *this
    {
        // aika.h = 0; // ei voi muuttaa
        // h = 0;
        os << h << ":" << setfill('0') << setw(2)<< m;
    }

    void operator+=(int lisa_min) {
        lisaa(lisa_min);
    }
}; // Aika..., huom puolipiste!


ostream &operator<<(ostream &os, const Aika &a) {
    a.tulosta(os);
    return os;
}


void lisaa(Aika &aika, int lisa_min)
{
    aika.lisaa(lisa_min);
}


int main(void)
{
    string jono = "kissa";  // string jono("kissa");
    Aika aika0;
    // tai Aika aika0{};
    // mutta ei Aika aika0();
    Aika aika1(12,15);
    Aika aika2{13,33};

    Aika *p = new Aika(22,15); // nm pit muistaa itse tuhota!!!
    p->tulosta(cout); cout << endl;

    // aika1.m = 100;
    aika1.lisaa(55);
    cout << aika1 << endl;
    aika1.lisaa(55);
    aika1 += 10;
    cout << aika1 << endl;
    cout << aika2 << endl;
    cout << aika1 << endl;

    lisaa(*p,30);
    cout << *p << endl;

    cout << aika0 << endl;

    delete p; // delete[]  new []
    return 0;
}
